#!/usr/bin/env ansible-playbook
---
- name: Apply the nvidia driver role
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  become: true
  pre_tasks:
    - name: Gather the package facts
      ansible.builtin.package_facts:
        manager: apt

    - name: Set linux package
      ansible.builtin.set_fact:
        linux_package: "linux-headers-{{ ansible_kernel }}"

    - name: "Check whether the package is installed: {{ linux_package }}"
      ansible.builtin.fail:
        msg: "{{ linux_package }} is not installed and nvidia packages need it"
      when:
        - "linux_package not in ansible_facts.packages"
  roles:
    - role: nvidia.nvidia_driver
    - role: ska_collections.k8s.nvidia_container_runtime
